POST api/mediwaveprogramstepapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediWaveProgramStepViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

Range: inclusive between 0 and ∞

id

globally unique identifier

None.

program_id

globally unique identifier

Required

mediwave_program_step_type_id

globally unique identifier

Required

name

string

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "e5a62196-fee8-4573-92e8-4b031b96e867",
  "program_id": "29d7bb9b-cf56-4a49-8e6b-02db720affb6",
  "mediwave_program_step_type_id": "4d0ddbd6-d4d8-4029-8533-37e05795fe75",
  "name": "sample string 6"
}

application/xml, text/xml

Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <id>e5a62196-fee8-4573-92e8-4b031b96e867</id>
  <mediwave_program_step_type_id>4d0ddbd6-d4d8-4029-8533-37e05795fe75</mediwave_program_step_type_id>
  <name>sample string 6</name>
  <program_id>29d7bb9b-cf56-4a49-8e6b-02db720affb6</program_id>
</mediwave_program_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"2f535598-82c0-4bf7-bd51-13634c75e6eb"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2f535598-82c0-4bf7-bd51-13634c75e6eb</guid>